## GtkFontCombo

GtkFontCombo

## Synopsis

    #include <gtkextra.h>

    GtkWidget *         gtk_font_combo_new                  (void);
    void                gtk_font_combo_select               (GtkFontCombo *font_combo,
                                                             const gchar *family,
                                                             gboolean bold,
                                                             gboolean italic,
                                                             gint height);
    void                gtk_font_combo_select_nth           (GtkFontCombo *font_combo,
                                                             gint n,
                                                             gboolean bold,
                                                             gboolean italic,
                                                             gint height);
    gint                gtk_font_combo_get_font_height      (GtkFontCombo *font_combo);
    GtkPSFont *         gtk_font_combo_get_psfont           (GtkFontCombo *font_combo);
    PangoFontDescription * gtk_font_combo_get_font_description
                                                            (GtkFontCombo *font_combo);
    GdkFont *           gtk_font_combo_get_gdkfont          (GtkFontCombo *font_combo);

## Description

## Details

### gtk_font_combo_new ()

    GtkWidget *         gtk_font_combo_new                  (void);

Returns : |

### gtk_font_combo_select ()

    void                gtk_font_combo_select               (GtkFontCombo *font_combo,
                                                             const gchar *family,
                                                             gboolean bold,
                                                             gboolean italic,
                                                             gint height);

`font_combo` : |
`family` : |
`bold` : |
`italic` : |
`height` : |

### gtk_font_combo_select_nth ()

    void                gtk_font_combo_select_nth           (GtkFontCombo *font_combo,
                                                             gint n,
                                                             gboolean bold,
                                                             gboolean italic,
                                                             gint height);

`font_combo` : |
`n` : |
`bold` : |
`italic` : |
`height` : |

### gtk_font_combo_get_font_height ()

    gint                gtk_font_combo_get_font_height      (GtkFontCombo *font_combo);

`font_combo` : |
Returns : |

### gtk_font_combo_get_psfont ()

    GtkPSFont *         gtk_font_combo_get_psfont           (GtkFontCombo *font_combo);

`font_combo` : |
Returns : |

### gtk_font_combo_get_font_description ()

    PangoFontDescription * gtk_font_combo_get_font_description
                                                            (GtkFontCombo *font_combo);

`font_combo` : |
Returns : |

### gtk_font_combo_get_gdkfont ()

    GdkFont *           gtk_font_combo_get_gdkfont          (GtkFontCombo *font_combo);

`font_combo` : |
Returns : |